import { BehaviorSubject } from 'rxjs';
import { Patient, Hospital, Scale, Physics, Zoom, Info } from './../share/corner-info';
export declare class CornerInfoService {
    info: BehaviorSubject<Info>;
    info$: import("rxjs").Observable<Info>;
    constructor();
    top_left_info(): (string | number | Date)[];
    top_right_info(): string[];
    bottom_left_info(): number[];
    bottom_right_info(): string[];
    updateInfo(update: Info): void;
    getPatient(id: number): import("rxjs").Observable<Patient>;
    currentPatient(): import("rxjs").Observable<Patient>;
    currentHospital(): import("rxjs").Observable<Hospital>;
    currentScale(): import("rxjs").Observable<Scale>;
    currentPhysics(): import("rxjs").Observable<Physics>;
    currentZoom(): import("rxjs").Observable<Zoom>;
    ROI_info(): import("rxjs").Observable<string[]>;
}
