import { BehaviorSubject, Observable } from 'rxjs';
import { LineInputModel, View } from './cross-line.component';
import { Vector3, Vector2 } from 'three';
export declare class GroupedcrosslineService {
    crosslineSubject: BehaviorSubject<LineInputModel[]>;
    crosslineMain$: Observable<LineInputModel[]>;
    tempV3: Vector3;
    constructor();
    addCrossLine(z?: number): string;
    updatePosition(id: string, point2: Vector2, view: View, crosslineLength?: number): void;
    position$(id: string, view: View): Observable<Vector2>;
    position3$(id: string): Observable<Vector3>;
    getPos(pos3: Vector3, view: View): Vector2;
    lastIndex(b: LineInputModel[], id: string): number;
    updateViewPos(pos2: Vector2, pos3: Vector3, view: View): Vector3;
}
