import { Subject } from 'rxjs';
import { OnDestroy, OnInit, EventEmitter } from '@angular/core';
import { SliceDirection } from '../share/slice';
import { ImageState } from '../share/model';
export declare class DirectionComponent implements OnInit, OnDestroy {
    maxFrame: string;
    choseFrame: string;
    choseFrame$: Subject<string>;
    direction: SliceDirection | undefined;
    directionChange: EventEmitter<SliceDirection>;
    sliceIndex: number;
    sliceIndexChange: EventEmitter<number>;
    related: ImageState[];
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setInputToDefault;
    changeDirection(d: SliceDirection | undefined): void;
    parse(source: string): number | undefined;
    changeSliceIndex(slice: number): void;
    setDefaultFrame(max: number, chose: number): void;
}
