import { OnInit } from '@angular/core';
import { LineInputModel, View } from '../../cross-line/cross-line.component';
import { ImageState } from '../share/model';
import { Observable } from 'rxjs';
import { RGBImage2 } from '../share/image';
import { BoundingBox2 } from '../../ng3/share/boundingbox2';
import { SceneService } from '../../ng3/components/scene.service';
import { GroupedcrosslineService } from '../../cross-line/groupedcrossline.service';
import { Vector3 } from 'three';
export declare class ImagecrosslineComponent implements OnInit {
    private sceneService;
    private groupCrossLineService;
    view: View;
    image$: Observable<RGBImage2>;
    private boxSubject;
    box$: Observable<BoundingBox2>;
    box: BoundingBox2;
    resize: 'image' | 'canvas' | 'fix';
    private stateSubject;
    state$: Observable<ImageState>;
    image: ImageState;
    constructor(sceneService: SceneService, groupCrossLineService: GroupedcrosslineService);
    ngOnInit(): void;
    getImage(state: ImageState, box: BoundingBox2, cross: LineInputModel[]): RGBImage2;
    stateUpdate(state: ImageState, box: BoundingBox2, cross: LineInputModel[]): ImageState;
    indexUpdate(size: Vector3, width: number, pos: Vector3): number;
    private imageBox;
}
