import { GrayImage2 } from './image';
import { Observable } from 'rxjs';
export declare class GrayImage2PixelwiseFilter {
    private f;
    constructor(f: (x: number) => number);
    filter(img: GrayImage2): GrayImage2;
}
export declare class GrayImage2ScaleOffsetFilter extends GrayImage2PixelwiseFilter {
    constructor(scale: number, offset: number);
}
export declare class GrayImage2WindowFilter extends GrayImage2PixelwiseFilter {
    width: number;
    level: number;
    constructor(width: number, level: number);
    updateLevel(l: number): GrayImage2WindowFilter;
    updataWidth(w: number): GrayImage2WindowFilter;
    addWidth(a: number): GrayImage2WindowFilter;
    addLevel(a: number): GrayImage2WindowFilter;
    addWidthLevel(addWidth: number, addLevel: number): GrayImage2WindowFilter;
}
export declare function applyFilters(image2: Observable<GrayImage2>, filter: Observable<GrayImage2PixelwiseFilter[]>): Observable<GrayImage2>;
