import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { GrayImage2, GrayImage3 } from '../../image-slice-show/share/image';
export declare class HttpImageLoaderService {
    private http;
    isLoadDummyData: boolean;
    image3Input: GrayImage3;
    constructor(http: HttpClient);
    getImageHttp(url?: string): Observable<GrayImage3>;
    getImage2Websocket(): Observable<GrayImage2WithWindow>;
}
interface GrayImage2WithWindow {
    image: GrayImage2;
    vmin?: number;
    vmax?: number;
}
export {};
