import { GrayImage3 } from './../../image-slice-show/share/image';
import { OnInit, EventEmitter } from '@angular/core';
import { ImageHead, LocalImageLoaderService } from './local-image-loader.service';
export declare class LocalImageLoaderComponent implements OnInit {
    private loaderService;
    isHeadLoaded: boolean;
    isImageLoaded: boolean;
    imageHead: ImageHead | undefined;
    imageFile: Blob | undefined;
    imageLoad: EventEmitter<GrayImage3>;
    constructor(loaderService: LocalImageLoaderService);
    ngOnInit(): void;
    loadLocalImage(): void;
    markImageLoaded(files: FileList): void;
    markHeadLoaded(head: FileList): void;
}
