import { EventDistributeService } from './../../ng3/event-distribute/event-distribute.service';
import { EntityStoreService } from './../../entity-store/entity-store.service';
import { ImageWindow } from './../../image-slice-show/share/model';
import { GrayImage3 } from './../../image-slice-show/share/image';
import { Colormap } from './../../image-slice-show/share/colormap';
import { SliceDirection } from './../../image-slice-show/share/slice';
import { ImageStoreService } from './../../image-store/image-store.service';
import { OnInit } from '@angular/core';
import { MultiCanvasService } from '../multi-canvas.service';
import { PerspectiveCamera } from 'three';
import { RendererService } from '../../ng3/components/renderer.service';
import { HttpImageLoaderService } from '../../image-store/http-image-loader/http-image-loader.service';
export declare class MultiCanvasControllerComponent implements OnInit {
    private service;
    private imageStoreService;
    private entityStoreService;
    private renderer;
    private eventDistribution;
    private loadService;
    selectedImages$: import("rxjs").Observable<import("../../image-slice-show/share/model").ImageState[]>;
    readonly whichDraging: import("../../ng3/event-distribute/event-distribute.service").EventHandler;
    readonly fovHnadler: import("../../ng3/event-distribute/event-distribute.service").FovHandler;
    camera: PerspectiveCamera;
    constructor(service: MultiCanvasService, imageStoreService: ImageStoreService, entityStoreService: EntityStoreService, renderer: RendererService, eventDistribution: EventDistributeService, loadService: HttpImageLoaderService);
    loadInput(): void;
    updateCamera(): void;
    updateCamera2(): void;
    updateCamera3(): void;
    changeDirection(d: SliceDirection): void;
    dragRing(): void;
    dragLine(): void;
    dragCrossline(): void;
    dragFov(): void;
    dragFov1(): void;
    dragFov2(): void;
    dragFov3(): void;
    addToolRing(): void;
    copyToolRing(): void;
    cutToolRing(): void;
    pasteToolRing(): void;
    removeToolRing(): void;
    addLine(): void;
    addCrossLine(): void;
    addFov(): void;
    changeIndex(index: number): void;
    changeColormap(cm: Colormap): void;
    changeWidthLevel(widthlevel: ImageWindow): void;
    imageLoad(image: GrayImage3): void;
    rotate_plane(): void;
    showEntitiesofCanva(): void;
    showEntities(): void;
    showCanvas(): void;
    ngOnInit(): void;
}
