import { BoundingBox2 } from './../../share/boundingbox2';
import { LineModel, FovModel } from './../../model';
import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Color, Vector3 } from 'three';
export interface Models {
    Right: LineModel;
    Left: LineModel;
    Top: LineModel;
    Bottom: LineModel;
    Up: LineModel;
    Down: LineModel;
}
export declare class FovComponent implements OnInit {
    models$: Observable<Models>;
    lineTest: LineModel;
    models: Models;
    leftTop: Vector3;
    leftBottom: Vector3;
    rightTop: Vector3;
    rightBottom: Vector3;
    right: number;
    top: number;
    bottom: number;
    currentColor: Color;
    private boxSubject;
    box$: Observable<BoundingBox2>;
    private fovSubject;
    private fov$;
    model: FovModel;
    z: number;
    isActive: boolean;
    upAndDownShow: boolean;
    constructor();
    addLines(m: BoundingBox2, active?: boolean): Models;
    setCurrentColor(active?: boolean): void;
    setCurrentPos(m: BoundingBox2): void;
    ngOnInit(): void;
}
