import { Vector2 } from 'three';
import { AfterViewInit, Renderer2, ElementRef } from '@angular/core';
export declare class InfoComponent implements AfterViewInit {
    private renderer;
    private el;
    canvas_width: number;
    canvas_height: number;
    private infoSubject;
    private positionSubject;
    info_position: Vector2;
    arrow_position: Vector2;
    distance: number;
    cans: HTMLCanvasElement;
    ctx: CanvasRenderingContext2D;
    info$: import("rxjs").Observable<any[]>;
    position$: import("rxjs").Observable<Vector2>;
    info: any[];
    position: Vector2;
    arrow_enable: boolean;
    info_style: any;
    constructor(renderer: Renderer2, el: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getDirection(position: Vector2): Vector2;
}
