import { OnInit, EventEmitter } from '@angular/core';
import { OrthographicCamera } from 'three';
import { BoundingBox2 } from '../../share/boundingbox2';
import { SceneService } from '../scene.service';
import { RendererService } from '../renderer.service';
export declare class OrthographicCameraComponent implements OnInit {
    private scene;
    private renderer;
    readonly camera: OrthographicCamera;
    changed: EventEmitter<void>;
    size: BoundingBox2;
    z: number;
    x: any;
    constructor(scene: SceneService, renderer: RendererService);
    private updateCameraSize;
    ngOnInit(): void;
}
