import { SceneService } from './../scene.service';
import { BoundingBox2 } from './../../share/boundingbox2';
import { PerspectiveCamera } from 'three';
import { OnInit, EventEmitter } from '@angular/core';
import { RendererService } from '../renderer.service';
export declare class PerspectiveCameraComponent implements OnInit {
    private scene;
    private renderer;
    readonly camera: PerspectiveCamera;
    changed: EventEmitter<void>;
    size: BoundingBox2;
    z: number;
    constructor(scene: SceneService, renderer: RendererService);
    private updateCameraFov;
    ngOnInit(): void;
}
