import { OnDestroy } from '@angular/core';
import { SceneService } from './scene.service';
import { OrthographicCamera, WebGLRenderer, PerspectiveCamera } from 'three';
import { CanvasService } from './canvas.service';
export declare class RendererService implements OnDestroy {
    private sceneService;
    private canvas;
    camera: OrthographicCamera | undefined | PerspectiveCamera;
    private verbose;
    renderer: WebGLRenderer;
    private subject;
    readonly render$: import("rxjs").Observable<void>;
    private isPushbasedRender;
    constructor(sceneService: SceneService, canvas: CanvasService);
    private doRender;
    setCamera(camera: OrthographicCamera | PerspectiveCamera): void;
    private animation;
    render(): void;
    readonly domElement: HTMLCanvasElement;
    ngOnDestroy(): void;
}
