import { RendererService } from './../renderer.service';
import { EntityComponent } from '../share/entity-component';
import { UserDefinedModel } from '../../model';
import { SceneService } from '../scene.service';
import { Line } from 'three';
export declare class ShapeComponent extends EntityComponent<UserDefinedModel> {
    constructor(sceneService: SceneService, renderer: RendererService);
    createEntity(model: UserDefinedModel): Line;
    updateEntity(model: UserDefinedModel, entity: Line): Line;
    defaultModel(): UserDefinedModel;
}
