import { EntityModel } from './../../model';
import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { MouseEntityService, EntityDragEvent } from './mouse-entity.service';
import { Object3D } from 'three';
import { Ng3MosueWheelEvent } from './mouse-canvas.service';
import { EntityComponent } from '../../components/share/entity-component';
export declare class MouseEntityComponent implements OnInit, OnDestroy {
    private mouse;
    private entity2;
    constructor(mouse: MouseEntityService, entity2: EntityComponent<EntityModel>);
    click: EventEmitter<Object3D>;
    drag: EventEmitter<EntityDragEvent>;
    hover: EventEmitter<boolean>;
    wheel: EventEmitter<Ng3MosueWheelEvent>;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
