export interface HandleProperty {
    enable: boolean;
    tag: string;
}
export interface EventHandler {
    ring: HandleProperty;
    line: HandleProperty;
    crossline: HandleProperty;
    fov: HandleProperty;
}
export interface FovHandler {
    fov1: HandleProperty;
    fov2: HandleProperty;
    fov3: HandleProperty;
}
export declare class EventDistributeService {
    eventHandler: EventHandler;
    fovHandler: FovHandler;
    constructor();
    doDrag(): void;
    noDrag(): void;
    ifDrag(): void;
    drag(handleProperty: HandleProperty): void;
    dragRing(): void;
    dragLine(): void;
    dragCrossline(): void;
    dragFov(): void;
    dragFov1(): void;
    dragFov2(): void;
    dragFov3(): void;
}
