import { SceneService } from './../../components/scene.service';
import { VRMLModel } from './../../model';
import { Scene } from 'three';
import { EntityComponent } from '../../components/share/entity-component';
import { RendererService } from '../../components/renderer.service';
export declare class VrmlLoaderComponent extends EntityComponent<VRMLModel> {
    constructor(sceneService: SceneService, renderer: RendererService);
    createEntity(model: VRMLModel): Scene;
    updateEntity(model: VRMLModel, entity: Scene): Scene;
    defaultModel(): VRMLModel;
}
