import { Object3D, Texture } from 'three';
/**
 * @ module helpers/lut
 */
export declare class HelperLut extends Object3D {
    _discrete: any;
    _color: any;
    _lut: any;
    _luts: any;
    _opacity: any;
    _lutO: any;
    _lutsO: any;
    _dom: any;
    _canvasContainer: any;
    _canvasBg: any;
    _canvas: any;
    constructor(domTarget: any, lut?: string, lutO?: string, color?: number[][], opacity?: number[][], discrete?: boolean);
    initCanvas(): void;
    initCanvasContainer(dom: any): any;
    createCanvas(): HTMLCanvasElement;
    paintCanvas(): void;
    readonly texture: Texture;
    lut: any;
    luts: any;
    lutO: any;
    lutsO: any;
    discrete: any;
    lutsAvailable(type?: string): any[];
    static presetLuts(): {
        default: number[][];
        spectrum: number[][];
        hot_and_cold: number[][];
        gold: number[][];
        red: number[][];
        green: number[][];
        blue: number[][];
        walking_dead: number[][];
        random: number[][];
        muscle_bone: number[][];
    };
    static presetLutsO(): {
        linear: number[][];
        lowpass: number[][];
        bandpass: number[][];
        highpass: number[][];
        flat: number[][];
        random: number[][];
        linear_full: number[][];
    };
}
