import { RendererService } from './../components/renderer.service';
import { SceneService } from './../components/scene.service';
import { ElementRef } from '@angular/core';
import { VolumeModel } from '../model';
import { HelpersVolumeRendering } from './helpers/helpers.volumerendering';
import { EntityComponent } from '../components/share/entity-component';
import ModelsStack from './models/models.stack';
import { GrayImage3 } from '../../image-slice-show/share/image';
export declare class VolumeRenderingComponent extends EntityComponent<VolumeModel> {
    constructor(sceneService: SceneService, renderer: RendererService, ef: ElementRef);
    createEntity(model: VolumeModel): HelpersVolumeRendering;
    updateEntity(model: VolumeModel, entity: HelpersVolumeRendering): HelpersVolumeRendering;
    getStack(volume: GrayImage3): ModelsStack;
    getFrame(k: number, volume: GrayImage3): Uint8Array;
    getData(k: number, rows: number, columes: number): Uint8Array;
    getMinMax(data: Uint8Array): any[];
    defaultModel(): VolumeModel;
}
