import { OnDestroy, OnInit, EventEmitter } from '@angular/core';
import { ImageState } from '../share/model';
import { Colormap } from '../share/colormap';
export declare class ColormapComponent implements OnInit, OnDestroy {
    private colormapSubject;
    readonly colormap$: import("rxjs").Observable<Colormap>;
    readonly colormapName$: import("rxjs").Observable<string>;
    colormap: Colormap | undefined;
    colormapChange: EventEmitter<Colormap>;
    related: ImageState[];
    constructor();
    ngOnDestroy(): void;
    ngOnInit(): void;
    onChangeSelect(name: string | undefined): void;
    setInputToDefault(images: ImageState[]): void;
}
