import { Display2DProperty } from './../image3d/image3d.component';
import { EntityDragEvent } from './../../ng3/controls/mouse/mouse-entity.service';
import { OnInit, EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Plane2Model } from '../../ng3/model';
import { Ng3MosueWheelEvent } from '../../ng3/controls/mouse/mouse-canvas.service';
export declare class Image2dComponent implements OnInit {
    model$: Observable<Plane2Model>;
    private imageSubject;
    image$: Observable<Display2DProperty>;
    image: Display2DProperty;
    z: number;
    scroll: EventEmitter<Ng3MosueWheelEvent>;
    drag: EventEmitter<EntityDragEvent>;
    constructor();
    onWheelEvent(e: Ng3MosueWheelEvent): void;
    onDragEvent(d: EntityDragEvent): void;
    ngOnInit(): void;
}
