import { ImageWindow } from './../share/model';
import { OnDestroy, OnInit, EventEmitter } from '@angular/core';
import { ImageState } from '../share/model';
export declare class WindowComponent implements OnInit, OnDestroy {
    width: number | undefined;
    widthChange: EventEmitter<number>;
    level: number | undefined;
    levelChange: EventEmitter<number>;
    widthlevelChange: EventEmitter<ImageWindow>;
    related: ImageState[];
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    updateWidth(width: number | undefined): void;
    updateLevel(level: number | undefined): void;
    updateWidthLevel(width: number | undefined, level: number | undefined): void;
    parse(source: string | undefined): number | undefined;
    private setInputToDefault;
}
