import { Observable } from 'rxjs';
import { Vector3 } from 'three';
import { GrayImage3 } from '../../image-slice-show/share/image';
export interface ImageHead {
    shape: Vector3;
    size: Vector3;
}
export declare class LocalImageLoaderService {
    constructor();
    loadHead(file: Blob): Observable<ImageHead>;
    loadImage(file: Blob, head: ImageHead, center?: Vector3): Observable<GrayImage3>;
}
