import { Mesh, DataTexture } from 'three';
import { SceneService } from './../scene.service';
import { CircleModel } from './../../model';
import { EntityComponent } from '../share/entity-component';
import { RendererService } from '../renderer.service';
export declare class CircleComponent extends EntityComponent<CircleModel> {
    constructor(sceneService: SceneService, renderer: RendererService);
    createTexture(): DataTexture;
    createEntity(model: CircleModel): Mesh;
    updateEntity(model: CircleModel, entity: Mesh): Mesh;
    defaultModel(): CircleModel;
}
