import { RendererService } from './../renderer.service';
import { CubeModel } from '../../model';
import { EntityComponent } from '../share/entity-component';
import { Mesh } from 'three';
import { SceneService } from '../scene.service';
export declare class CubeComponent extends EntityComponent<CubeModel> {
    rotationSpeed: number;
    bouncingSpeed: number;
    constructor(sceneService: SceneService, renderer: RendererService);
    createEntity(model: CubeModel): Mesh;
    updateEntity(model: CubeModel, entity: Mesh): Mesh;
    defaultModel(): CubeModel;
}
