import { OnDestroy } from '@angular/core';
import { Object3D, Group } from 'three';
import { SceneService } from './scene.service';
import { RendererService } from './renderer.service';
export declare class EntityService implements OnDestroy {
    private sceneService;
    private rendererService;
    entity: Object3D | undefined | Group;
    private changeSubject;
    readonly changed$: import("rxjs").Observable<Object3D | Group>;
    constructor(sceneService: SceneService, rendererService: RendererService);
    signalChanged(): void;
    create(entity: Object3D): void;
    update(reducer: (x: Object3D) => Object3D): void;
    ngOnDestroy(): void;
}
