import { RendererService } from './../renderer.service';
import { EntityComponent } from '../share/entity-component';
import { LineModel } from '../../model';
import { Line } from 'three';
import { SceneService } from '../scene.service';
export declare class LineComponent extends EntityComponent<LineModel> {
    constructor(sceneService: SceneService, renderer: RendererService);
    createEntity(model: LineModel): Line;
    defaultModel(): LineModel;
    updateEntity(model: LineModel, entity: Line): Line;
}
