import { EntityComponent } from '../share/entity-component';
import { Mesh, DataTexture } from 'three';
import { Plane2Model, PlaneTextureData } from '../../model';
import { SceneService } from '../scene.service';
import { RendererService } from '../renderer.service';
export declare class PlaneComponent extends EntityComponent<Plane2Model> {
    private zSubject;
    z: number;
    constructor(sceneService: SceneService, renderer: RendererService);
    createTexture(data: PlaneTextureData): DataTexture;
    createEntity(model: Plane2Model): Mesh;
    updateEntity(model: Plane2Model, entity: Mesh): Mesh;
    private changeTexture;
    defaultModel(): Plane2Model;
}
