import { EntityComponent } from '../share/entity-component';
import { ProfileModel } from '../../model';
import { SceneService } from '../scene.service';
import { Line } from 'three';
import { RendererService } from '../renderer.service';
export declare class ProfileComponent extends EntityComponent<ProfileModel> {
    _increment: number;
    increment: number;
    start: number;
    constructor(sceneService: SceneService, renderer: RendererService);
    createEntity(model: ProfileModel): Line;
    updateEntity(model: ProfileModel, entity: Line): Line;
    defaultModel(): ProfileModel;
}
