import { Mesh } from 'three';
import { SceneService } from './../scene.service';
import { RingModel } from './../../model';
import { EntityComponent } from '../share/entity-component';
import { RendererService } from '../renderer.service';
export declare class RingComponent extends EntityComponent<RingModel> {
    constructor(sceneService: SceneService, renderer: RendererService);
    createEntity(model: RingModel): Mesh;
    updateEntity(model: RingModel, entity: Mesh): Mesh;
    defaultModel(): RingModel;
}
