import { RendererService } from './../renderer.service';
import { Mesh } from 'three';
import { SceneService } from './../scene.service';
import { SphereModel } from './../../model';
import { EntityComponent } from '../share/entity-component';
export declare class SphereComponent extends EntityComponent<SphereModel> {
    constructor(sceneService: SceneService, renderer: RendererService);
    createEntity(model: SphereModel): Mesh;
    updateEntity(model: SphereModel, entity: Mesh): Mesh;
    defaultModel(): SphereModel;
}
