import { OnInit, EventEmitter } from '@angular/core';
import { Plane2Model } from '../../model';
import { EntityDragEvent } from '../mouse/mouse-entity.service';
import { CanvasService } from '../../components/canvas.service';
export declare class MovePlaneComponent implements OnInit {
    private canvas;
    constructor(canvas: CanvasService);
    model: Plane2Model;
    drag: EventEmitter<EntityDragEvent>;
    ngOnInit(): void;
    onDrag(e: EntityDragEvent): void;
    setStyle(isHover: boolean): void;
}
