import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { Plane2Model } from '../../../model';
import { EntityDragEvent } from '../../mouse/mouse-entity.service';
import { ScaleDirection, Ng3EdgeResizeEvent } from '../resize-helper';
import { CanvasService } from '../../../components/canvas.service';
export declare class ResizePlaneEdgeComponent implements OnInit, OnDestroy {
    private canvas;
    model: Plane2Model | undefined;
    direction: ScaleDirection;
    z: number;
    resize: EventEmitter<Ng3EdgeResizeEvent>;
    constructor(canvas: CanvasService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setStyle(isHover: boolean): void;
    private cursorStyle;
    onDrag(e: EntityDragEvent, direction: ScaleDirection): void;
}
