import { RendererService } from './../../components/renderer.service';
import { SceneService } from './../../components/scene.service';
import { OBJModel } from './../../model';
import { Group } from 'three';
import { EntityComponent } from '../../components/share/entity-component';
export declare class ObjLoaderComponent extends EntityComponent<OBJModel> {
    constructor(sceneService: SceneService, renderer: RendererService);
    createEntity(model: OBJModel): Group;
    updateEntity(model: OBJModel, entity: Group): Group;
    defaultModel(): OBJModel;
}
