import { Matrix4, Vector3 } from 'three';
import ModelsStack from './models/models.stack';
export declare class DefaultStack1 {
    prepared: boolean;
    _minMax: Array<number>;
    windowCenter: number;
    windowWidth: number;
    textureSize: number;
    textureUnits: number;
    textureType: number;
    lps2IJK: Matrix4;
    numberOfChannels: number;
    pixelType: number;
    bitsAllocated: number;
    packedPerPixel: number;
    rescaleSlope: number;
    rescaleIntercept: number;
    dimensionsIJK: Vector3;
    rawData: any[];
    constructor();
    worldBoundingBox(): Array<number>;
    worldCenter(): Vector3;
    getRawData(): Uint8Array[];
}
export declare class DefaultStack extends ModelsStack {
    rows: number;
    columes: number;
    constructor();
    default(): void;
    getData(k: number): Uint8Array;
    getMinMax(data: Uint8Array): any[];
}
export declare function defaultStack(): ModelsStack;
