import ShadersBase from '../shaders.base';
/**
 * Set of methods to unpack values from [r][b][g][a] -> float
 */
declare class Unpack extends ShadersBase {
    /**
     * Constructor
     */
    _packedData: string;
    _offset: string;
    _unpackedData: string;
    constructor();
    api(baseFragment?: import("../shaders.base").Base, packedData?: string, offset?: string, unpackedData?: string): string;
    compute(packedData: any, offset: any, unpackedData: any): string;
    computeDefinition(): void;
    upack8(): string;
    upack16(): string;
    upack32(): "\nuInt32(\n  packedData.r,\n  packedData.g,\n  packedData.b,\n  packedData.a,\n  unpackedData.x);\n      " | "\nuFloat32(\n  packedData.r,\n  packedData.g,\n  packedData.b,\n  packedData.a,\n  unpackedData.x);\n      ";
    upackIdentity(): string;
    uInt8(): string;
    uInt16(): string;
    uInt32(): string;
    uFloat32(): string;
}
declare const _default: Unpack;
export default _default;
